### execution::bulk_guarantee_t

A property to communicate the forward progress and ordering guarantees of execution agents associated with the bulk execution.

    struct bulk_guarantee_t

##### Types

Name | Description
--- | ---
parallel_t | A sub-property that indicates that execution agents within the same bulk execution may be parallelised.
sequenced_t | A sub-property that indicates that execution agents within the same bulk execution may not be parallelised and vectorised.
unsequenced_t | A sub-property that indicates that execution agents within the same bulk execution may be parallelised and vectorised.
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
bulk_guarantee_t [constructor] | Default constructor. — Construct from a sub-property value.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The bulk_guarantee_t property applies to executors, senders, and schedulers.
is_preferable [static] | The top-level bulk_guarantee_t property cannot be preferred.
is_requirable [static] | The top-level bulk_guarantee_t property cannot be required.
parallel [static] | A special value used for accessing the bulk_guarantee_t::parallel_t property.
sequenced [static] | A special value used for accessing the bulk_guarantee_t::sequenced_t property.
unsequenced [static] | A special value used for accessing the bulk_guarantee_t::unsequenced_t property.

##### Friends

Name | Description
--- | ---
operator!= | Compare property values for inequality.
operator== | Compare property values for equality.

##### Requirements

Header: `asio/execution/bulk_guarantee.hpp`

Convenience header: `asio/execution.hpp`